use Mix.Config

version =
  Path.join(__DIR__, "VERSION")
  |> File.read!
  |> String.trim

pkg = :nerves_system_farmbot_bbb

config pkg, :nerves_env,
  type: :system,
  version: version,
  compiler: :nerves_package,
  artifact_url: [
    "https://github.com/farmbot-labs/#{pkg}/releases/download/v#{version}/#{pkg}-v#{version}.tar.gz",
  ],
  platform: Nerves.System.BR,
  platform_config: [
    defconfig: "nerves_defconfig"
  ],
  checksum: [
    "nerves_defconfig",
    "rootfs_overlay",
    "linux",
    "fwup.conf",
    "uboot",
    "bbb-busybox.config",
    "nerves.exs",
    "uboot-script.cmd",
    "post-build.sh",
    "post-createfs.sh",
    "VERSION"
  ]
